Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.liveness
Class LivenessTransportLayerImpl.EntityManager

    java.lang.Object
      org.mpisws.p2p.transport.liveness.LivenessTransportLayerImpl.EntityManager

Enclosing class:
  LivenessTransportLayerImpl<Identifier>

    public class LivenessTransportLayerImpl.EntityManager

extends java.lang.Object

Internal class which is charges with managing the remote connection via a specific route

Field Summary
`protected java.lang.ref.WeakReference<Identifier>` | `identifier`
`protected int` | `liveness`
`protected LivenessTransportLayerImpl.DeadChecker` | `pending`
`protected java.util.Set<org.mpisws.p2p.transport.liveness.LivenessTransportLayerImpl.LSocket>` | `sockets`
`protected long` | `updated`

Constructor Summary
`LivenessTransportLayerImpl.EntityManager(Identifier identifier)` Constructor - builds a route manager given the route

Method Summary
`protected boolean` | `checkLiveness(java.util.Map<java.lang.String,java.lang.Object> options)` Method which checks to see this route is dead.
`void` | `destroy()`
`P2PSocket<Identifier>` | `getLSocket(P2PSocket<Identifier> s)`
`protected void` | `markAlive(java.util.Map<java.lang.String,java.lang.Object> options)` This method should be called when this route is declared alive.
`protected void` | `markDead(java.util.Map<java.lang.String,java.lang.Object> options)` This method should be called when this route is declared dead.
`protected void` | `markDeadForever(java.util.Map<java.lang.String,java.lang.Object> options)`
`protected void` | `markDeadHelper(int liveness, java.util.Map<java.lang.String,java.lang.Object> options, boolean notify)`
`protected void` | `markSuspected(java.util.Map<java.lang.String,java.lang.Object> options)` This method should be called when this route is declared suspected.
`void` | `removeSocket(org.mpisws.p2p.transport.liveness.LivenessTransportLayerImpl.LSocket socket)`
`int` | `rto()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    protected java.lang.ref.WeakReference<Identifier> identifier

### liveness

    protected int liveness

### updated

    protected long updated

### pending

    protected LivenessTransportLayerImpl.DeadChecker pending

### sockets

    protected java.util.Set<org.mpisws.p2p.transport.liveness.LivenessTransportLayerImpl.LSocket> sockets

Constructor Detail

### LivenessTransportLayerImpl.EntityManager

    public LivenessTransportLayerImpl.EntityManager(Identifier identifier)

  Constructor - builds a route manager given the route

  Parameters:
    `route` - The route

Method Detail

### getLSocket

    public P2PSocket<Identifier> getLSocket(P2PSocket<Identifier> s)

### removeSocket

    public void removeSocket(org.mpisws.p2p.transport.liveness.LivenessTransportLayerImpl.LSocket socket)

### rto

    public int rto()

### markAlive

    protected void markAlive(java.util.Map<java.lang.String,java.lang.Object> options)

  This method should be called when this route is declared alive.

### markSuspected

    protected void markSuspected(java.util.Map<java.lang.String,java.lang.Object> options)

  This method should be called when this route is declared suspected.

### markDead

    protected void markDead(java.util.Map<java.lang.String,java.lang.Object> options)

  This method should be called when this route is declared dead.

### markDeadForever

    protected void markDeadForever(java.util.Map<java.lang.String,java.lang.Object> options)

### markDeadHelper

    protected void markDeadHelper(int liveness,
                                  java.util.Map<java.lang.String,java.lang.Object> options,
                                  boolean notify)

### checkLiveness

    protected boolean checkLiveness(java.util.Map<java.lang.String,java.lang.Object> options)

  Method which checks to see this route is dead. If this address has been checked within the past CHECK_DEAD_THROTTLE millis, then this method does not actually do a check.

  Returns:
    true if there will be an update (either a ping, or a change in liveness)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### destroy

    public void destroy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.